Bug 182699 - Dual boot failure
Dual boot failure
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 23:22 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 17:03:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2006-02-23 23:22:43 EST
Description of problem:

Performed a DVD clean install (not upgrade) of FC5t3 on my Dual Core Opteron
system. This system already had Windows XP installed on the first partition on
the local SATA disk. Anaconda detected that parition as "pdc_hdcadijdg" (which
is odd, but plausible). The Windows partition is of type NTFS. When I originally
put Windows on the SATA drive, I left the second half of the disk unpartitioned,
for Linux.

I made one partition, of type ext3, in the second half of the disk, mounted at
/. No swap partition (this box has 2GB of memory).

I selected virtualization as one of the options, and the install completed
successfully. Upon rebooting, it had installed the hypervisor kernel (only?),
but when I tried to boot into it, I received a kernel panic.

This is what I could capture from the screen:

ata4: SATA max UDMA/133 cmd 0x960 ctl 0xB62 bmdma 0xB808 irq 17
ata3: SATA link down (SStatus 0)
scsi2: sata_nv
ata4: SATA link down (SStatus 0)
scsi3: sata_nv
device-mapper: 4.5.0-ioctl (2005-10-04) initialised: dm-devel@redhat.com
mount: could not find filesystem '/dev/root'
setuproot: moving /dev failed: No such file or directory
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
switchroot: mount failed: No such file or directory
Unable to make device node for 'pdc_hdcadijdg'
Kernel panic - not syncing: Attempted to kill init!

Call Trace: <ffffffff8012d02a>{panic+134} <ffffffff801f8956>{__up_read+19}
       <ffffffff80326994>{_spin_unlock_irqrestore+9}
<ffffffff8023cd9e>{tty_ldisc_deref+104}
       <ffffffff80326994>{_spin_unlock_irqrestore+9}
<ffffffff80326962>{_spin_unlock_irq+9}
       <ffffffff80326279>{__down_read+52} <ffffffff80326a5f>{_spin_lock_irqsave+38}
       <ffffffff801f8956>{__up_read+19} <ffffffff80130963>{do_exit+140}
       <ffffffff80131200>{sys_exit_group+0} <ffffffff8010ddbe>{system_call+134}
       <ffffffff8010dd38>{system_call+0}

Windows XP is still bootable and happy, but FC3t3 is definitely not.
Comment 1 Tom "spot" Callaway 2006-02-23 23:23:54 EST
Obviously, I meant to say "FC5t3" at the end there. :)
Comment 2 Jeremy Katz 2006-02-24 11:40:40 EST
If you boot to rescue mode and install the non xen kernel, does it work?
Comment 3 Tom "spot" Callaway 2006-02-24 16:36:36 EST
Nope. It gives virtually the same kernel panic.
Comment 4 Tom "spot" Callaway 2006-02-24 17:03:42 EST
Updating to mkinitrd from rawhide (5.0.27-1), and remaking the initrd images
resolved this issue. Thanks to Peter Jones for the tip.

Note You need to log in before you can comment on or make changes to this bug.